ImageMap.HotSpot (BioJava-1.5-beta API)
Keywords: org.biojava.bio.gui.sequence.ImageMap.HotSpot class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.biojava.bio.gui.sequence
Class ImageMap.HotSpot

    java.lang.Object
      org.biojava.bio.gui.sequence.ImageMap.HotSpot

All Implemented Interfaces:
  Serializable

Enclosing interface:
  ImageMap

    public static final class ImageMap.HotSpot

extends Object
implements Serializable

`HotSpot`s represent an image map hotspot. For example (in server-side map format):

rect http://www.biojava.org 0,0 100,20

A user object may be set for each hot spot. This would typically contain extra data used to construct a representation of the hotspot in a document or application. For example, in an image map representing Blast search results the user object could be a sequence in a database. In an HTML document the user object could be used to assign values to actions such as mouseover.

See Also:
  Serialized Form

Constructor Summary
`ImageMap.HotSpot(String type, URL url, Integer[] coordinates)` Creates a new `HotSpot` with a null user object.
`ImageMap.HotSpot(String type, URL url, Integer[] coordinates, Object userObject)` Creates a new `HotSpot`.

Method Summary
`Integer[]` | `getCoordinates()` `getCoordinates` returns the hotspot coordinates.
`String` | `getType()` `getType` returns the type of hotspot.
`URL` | `getURL()` `getURL` returns the hotspot URL.
`Object` | `getUserObject()` `getUserObject` returns the current user object (or null).
`void` | `setUserObject(Object userObject)` `setUserObject` sets the user object.
`String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ImageMap.HotSpot

    public ImageMap.HotSpot(String type,
                            URL url,
                            Integer[] coordinates)

  Creates a new `HotSpot` with a null user object.

  Parameters:
    `type` - a `String` of hotspot. The only valid arguments are ImageMap.RECT, ImageMap.CIRCLE or ImageMap.POLY (checked by object reference equalty);
    `url` - a `URL` target.
    `coordinates` - an `Integer []` array of hotspot coordinates, in order.

### ImageMap.HotSpot

    public ImageMap.HotSpot(String type,
                            URL url,
                            Integer[] coordinates,
                            Object userObject)

  Creates a new `HotSpot`.

  Parameters:
    `type` - a `String` of hotspot. The only valid arguments are ImageMap.RECT, ImageMap.CIRCLE or ImageMap.POLY (checked by object reference equalty);
    `url` - a `URL` target.
    `coordinates` - an `Integer []` array of hotspot coordinates, in order.
    `userObject` - an `Object`

Method Detail

### getType

    public String getType()

  `getType` returns the type of hotspot.

  Returns:
    a `String`.

### getURL

    public URL getURL()

  `getURL` returns the hotspot URL.

  Returns:
    a `URL`.

### getCoordinates

    public Integer[] getCoordinates()

  `getCoordinates` returns the hotspot coordinates.

  Returns:
    an `Integer []` array.

### getUserObject

    public Object getUserObject()

  `getUserObject` returns the current user object (or null).

  Returns:
    an `Object`.

### setUserObject

    public void setUserObject(Object userObject)

  `setUserObject` sets the user object.

  Parameters:
    `userObject` - an `Object`.

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD